cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Maximilian Rehm" <m.r...@netnolix.com>
Subject AW: Problems upgrading to Tomcat 3.2
Date Wed, 31 Jan 2001 18:07:30 GMT
I rewrote the tomcat.bat file to skip the dynamic generation of the
classpath and to instead use a static classpath (which worked with tomcat
3.1 and cocoon 1.8 on w2k), but guess what . . . cocoon still doesn't work.
At least now we can be sure that it has nothing to do with the position of
xerces in the classpath.

Max

-----Urspr√ľngliche Nachricht-----
Von: Maximilian Rehm [mailto:m.rehm@netnolix.com]
Gesendet: Mittwoch, 31. Januar 2001 10:07
An: cocoon-users@xml.apache.org
Betreff: AW: Problems upgrading to Tomcat 3.2


Andres,

I also upgraded to Tomcat 3.2.1 on win2k prof and cocoon 1.8.2 and I am
having the same problem you are having.  I am almost sure that it has
nothing to do with the classpath and the position of xerces because I
removed the files z_xml.jar, z_parser.jar, and z_jaxp.jar entirely from the
lib directory and xsp still doesn't work.  Here is my classpath:

> > Using CLASSPATH:
> > C:\Programme\jakarta-tomcat-3.2.1\classes;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\aasax-bugfix.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\abxerces_1_2.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\bsf.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\bsfengines.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\cocoon.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\fop_0_15_0.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\servlet.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\servlet_2_2.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\stylebook-1.0-b2.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\turbine-pool.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\w3c.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\xalan_1_2_D02.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\zwebserver.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\z_ant_1_1.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\z_jasper.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\servlet_2_2.jar;
> > C:\Programme\jakarta-tomcat-3.2.1\lib\jasper.jar;
> > C:\Programme\jdk1.3\lib\tools.jar
> >


I'll keep you posted if I find anything else.

Max

-----Urspr√ľngliche Nachricht-----
Von: Andres Olave [mailto:andres@flynk.com]
Gesendet: Mittwoch, 31. Januar 2001 06:47
An: Cocoon-Users
Betreff: Re: Problems upgrading to Tomcat 3.2



I'm afraid it wasn't.

I think there may be some compatibility issues with tomcat 3.2.1 on win2k
professional and cocoon.  I ran Cocoon from the command line using exactly
the same classpath and it worked perfectly.  But back using tomcat it failed
as it always does.

any other suggestions?

thanks for your help so far

Andres


-------------------

> jaxp.jar there is probably the problem. Xerces needs to be in front of
this.


---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message